use std::env::VarError;

pub trait EnvBoolMapper {
    fn map_env_bool(self, default: bool) -> bool;
}

impl EnvBoolMapper for Result<String, VarError> {
    fn map_env_bool(self, default: bool) -> bool {
        self.map(|val| matches!(val.as_str(), "y")).unwrap_or(default)
    }
}
